Bug 92705 - [clover] fail to build with llvm-svn/clang-svn 3.8
Summary: [clover] fail to build with llvm-svn/clang-svn 3.8
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: All Linux (All)
: medium blocker
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-28 09:02 UTC by Laurent carlier
Modified: 2015-10-29 04:03 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent carlier 2015-10-28 09:02:26 UTC
The output:
  CXX      llvm/libclllvm_la-invocation.lo
  CXXLD    libcltgsi.la
ar: `u' modifier ignored since `D' is the default (see `U')
llvm/invocation.cpp: In function 'llvm::Module* {anonymous}::compile_llvm(llvm::LLVMContext&, const string&, const header_map&, const string&, const string&, const string&, const string&, unsigned int (&)[7], unsigned int&, std::string&)':
llvm/invocation.cpp:250:26: error: 'class clang::CodeGenOptions' has no member named 'LinkBitcodeFile'
       c.getCodeGenOpts().LinkBitcodeFile = libclc_path;
                          ^
llvm/invocation.cpp: In function 'llvm::MDNode* {anonymous}::node_from_op_checked(const llvm::MDOperand&, llvm::StringRef, unsigned int)':
llvm/invocation.cpp:388:12: warning: unused variable 'str_node' [-Wunused-variable]
       auto str_node = llvm::cast<llvm::MDString>(node->getOperand(0));
            ^
Makefile:868: recipe for target 'llvm/libclllvm_la-invocation.lo' failed
make[3]: *** [llvm/libclllvm_la-invocation.lo] Error 1
make[3]: Leaving directory '/build/mesa-git/src/mesa/src/gallium/state_trackers/clover'
Makefile:588: recipe for target 'all-recursive' failed
make[2]: *** [all-recursive] Error 1

it's related to the following clang change:
https://github.com/llvm-mirror/clang/commit/d40c9d5c5ac1cfe4493652f3d0e3bfbded161840#diff-eea4b935785994d2ac7145014a13e9c0
Comment 1 Laurent carlier 2015-10-29 04:03:11 UTC
Fixed with 37402014e80f991169f9e05c1520667ba3930baf


bug/show.html.tmpl processed on Feb 26, 2017 at 07:45:49.
(provided by the Example extension).